## Struct allowed_empty

zeep::xml::doctype::allowed_empty

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/doctype.hpp>

    struct allowed_empty : public zeep::xml::doctype::allowed_base {

      // public member functions
      state_ptr create_state() const;
      void print(std::ostream &);
    };

## Description

### `allowed_empty` public member functions

1.     state_ptr create_state() const;

2.     void print(std::ostream & os);